/*
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         2022 ,    .
          2022     .
*/

--   scale_comments  2022     2021 .
DELETE from scale_comments where yy=2022 and id_scale < 100
go
insert into scale_comments 
	(id_scale, yy, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif)
select 
	id_scale, 2022, t_comment, cat_pf, fl_mrot, gk_mrot, kod_tarif
	from scale_comments where yy=2021 and id_scale < 100
go

--    2022 
if exists(select 1 from table_nalog_soc where  yy = 2022) 
	delete from table_nalog_soc where  yy = 2022
GO

if not exists(select 1 from table_nalog_soc where yy = 2022) 
begin
	--   2021   
	select id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	into #table_nalog_soc 
		from table_nalog_soc 
		where yy = 2021
	-- 
	update #table_nalog_soc set yy = 2022
	--      
	
	update #table_nalog_soc set xbegin = 1032000 where round(xbegin, 0) = 966000
	update #table_nalog_soc set xend = 1032000 where round(xend, 0) = 966000

	update #table_nalog_soc set xbegin = 1565000 where round(xbegin, 0) = 1465000
	update #table_nalog_soc set xend = 1565000 where round(xend, 0) = 1465000

	update #table_nalog_soc set min_summa = 344300 where min_summa = 322300
	update #table_nalog_soc set min_summa = 29928 where min_summa = 28014
	update #table_nalog_soc set min_summa = 18576 where min_summa = 17388

	--    
	insert into table_nalog_soc (
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
		)
	select 
		id_scale, yy, code_nalog, nomer_pp, xbegin, xend, procent, min_summa, procent_vmen, min_summa_vmen, prc_after_mrot
	from #table_nalog_soc
	--  
	drop table #table_nalog_soc
end
go
